package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.entity.TSchoolPrivilege;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 学校自定义菜单 param
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/10/30
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysAdminSetParam extends TSchoolPrivilege {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "权限id数组")
    private Long[] privilegeIds;

    @ApiModelProperty(value = "pdf格式数组")
    private String[] pdfSize;

    @ApiModelProperty(value = "用户/密码模式是否开启短信验证")
    Boolean accountSmsVerify;

    @ApiModelProperty(value = "第三方统一身份认证地址")
    String teachcloudExchangeSerivePath;

    @ApiModelProperty(value = "同步配置地址")
    String syncServicePath;

    public SysAdminSetParam() {

    }

    public SysAdminSetParam(Boolean accountSmsVerify, String teachcloudExchangeSerivePath) {
        this.accountSmsVerify = accountSmsVerify;
        this.teachcloudExchangeSerivePath = teachcloudExchangeSerivePath;
    }

    public String getTeachcloudExchangeSerivePath() {
        return teachcloudExchangeSerivePath;
    }

    public void setTeachcloudExchangeSerivePath(String teachcloudExchangeSerivePath) {
        this.teachcloudExchangeSerivePath = teachcloudExchangeSerivePath;
    }

    public String getSyncServicePath() {
        return syncServicePath;
    }

    public void setSyncServicePath(String syncServicePath) {
        this.syncServicePath = syncServicePath;
    }

    public Boolean getAccountSmsVerify() {
        return accountSmsVerify;
    }

    public void setAccountSmsVerify(Boolean accountSmsVerify) {
        this.accountSmsVerify = accountSmsVerify;
    }

    public Long[] getPrivilegeIds() {
        return privilegeIds;
    }

    public void setPrivilegeIds(Long[] privilegeIds) {
        this.privilegeIds = privilegeIds;
    }

    public String[] getPdfSize() {
        return pdfSize;
    }

    public void setPdfSize(String[] pdfSize) {
        this.pdfSize = pdfSize;
    }
}
